EMF::EMRSETPIXELV Class Reference

EMF Set Pixel. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETPIXELV:

## Public Member Functions

| EMRSETPIXELV (INT x, INT y, COLORREF color)
| EMRSETPIXELV (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Pixel.

Set the given pixel to the given color.

## Constructor & Destructor Documentation

## EMRSETPIXELV() [1/2]

EMF::EMRSETPIXELV::EMRSETPIXELV | ( | INT | x,
|  | INT | y,
|  | COLORREF | color )

inline

Parameters

  x | x position at which to draw pixel.
  y | y position at which to draw pixel.
  color | color of pixel.

References EMRSETPIXELV().

Referenced by EMRSETPIXELV().

## EMRSETPIXELV() [2/2]

EMF::EMRSETPIXELV::EMRSETPIXELV | ( | DATASTREAM & | ds | ) |

inline

Construct a SetPixelV record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETPIXELV::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETPIXELV::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETPIXELV::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h